﻿using System;
using Monocle;

namespace TileLayoutAnchor;

public static class TileGrids{

	public static void Substitute(this TileGrid map, TileGrid subst, int x, int y){
		int realW = Math.Min(subst.TilesX, map.TilesX - x),
			realH = Math.Min(subst.TilesY, map.TilesY - y);
		
		for(int xO = 0; xO < realW; xO++)
			for(int yO = 0; yO < realH; yO++)
				map.Tiles[x + xO, y + yO] = subst.Tiles[xO, yO];
	}
}